File: Cargo.toml.orig

package info (click to toggle)
rust-barrel 0.6.5-2
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 324 kB
  • sloc: makefile: 4
file content (46 lines) | stat: -rw-r--r-- 1,183 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
[package]
name = "barrel"
version = "0.6.5"

description = "A powerful schema migration building API for Rust"
authors = ["Katharina Fey <kookie@spacekookie.de>", "Rob Rowe <rippinrobr@gmail.com>"]
license = "MIT/X11 OR Apache-2.0"
edition = "2018"

readme = "README.md"
repository = "https://github.com/rust-db/barrel"
homepage = "https://rust-db.github.io/barrel"
documentation = "https://docs.rs/barrel"

categories = [ "database", "development-tools"]
keywords = ["sql", "database", "schema", "migration"]

[package.metadata.docs.rs]

# We can't build documentation with the `diesel` flag enabled
# because then the project no longer builds.
features = ["mysql", "sqlite3", "pg", "unstable"]

[[example]]
name = "pg_strings"
required-features = ["pg"]

[[example]]
name = "sqlite_strings"
required-features = ["sqlite3"]

[features]
default = []
diesel = ["tempfile", "diesel_rs"]
sqlite3 = []
mysql = []
pg = []

# Enables unstable (in-development) features,
#   even for stable version upgrades
unstable = []


[dependencies]
tempfile = { version = "3", optional = true }
diesel_rs = { version = ">= 1.2, < 2.0", package = "diesel", default_features = false, optional = true }